package cn.com.tenlion.configcolumn.pojo.dtos.configcolumn;

import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ConfigColumnDTO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-06-26 13:49:46
 * @Version: 3.0
 **/
@ApiModel
public class ConfigColumnDTO {

    @ApiModelProperty(name = "configColumnId", value = "栏目")
    private String configColumnId;
    @ApiModelProperty(name = "configColumnGroupId", value = "所属栏目组")
    private String configColumnGroupId;
    @ApiModelProperty(name = "configColumnGroupName", value = "所属栏目组名称")
    private String configColumnGroupName;
    @ApiModelProperty(name = "configColumnCode", value = "栏目编码")
    private String configColumnCode;
    @ApiModelProperty(name = "configColumnName", value = "栏目名称")
    private String configColumnName;
    @ApiModelProperty(name = "configColumnSubName", value = "栏目子名称")
    private String configColumnSubName;
    @ApiModelProperty(name = "configColumnTargetMode", value = "栏目详情页跳转方式1:小程序页面,2:其他小程序,3:网址")
    private String configColumnTargetMode;
    @ApiModelProperty(name = "configColumnTargetUrl", value = "栏目详情页跳转地址")
    private String configColumnTargetUrl;
    @ApiModelProperty(name = "configTableId", value = "栏目表单")
    private String configTableId;
    @ApiModelProperty(name = "configTableMode", value = "表单存储方式1:一条,2:多条")
    private String configTableMode = "1";
    @ApiModelProperty(name = "configColumnStatus", value = "栏目状态1:显示,0:隐藏")
    private String configColumnStatus;
    @ApiModelProperty(name = "configColumnOrder", value = "栏目排序")
    private Double configColumnOrder;
    @ApiModelProperty(name = "configColumnDefault", value = "默认栏目1:是,0:否")
    private String configColumnDefault;
    @ApiModelProperty(name = "configColumnType", value = "栏目样式")
    private String configColumnType;
    @ApiModelProperty(name = "configColumnPhoto", value = "栏目图片")
    private String configColumnPhoto;
    @ApiModelProperty(name = "configColumnRemark", value = "栏目说明")
    private String configColumnRemark;
    @ApiModelProperty(name = "configColumnMaxCount", value = "限制发布数量")
    private Integer configColumnMaxCount;
    @ApiModelProperty(name = "configColumnRowCount", value = "列表显示数量")
    private Integer configColumnRowCount;
    @ApiModelProperty(name = "configColumnRowTargetMode", value = "栏目列表页跳转方式1:小程序页面,2:其他小程序,3:网址")
    private String configColumnRowTargetMode;
    @ApiModelProperty(name = "configColumnRowTargetUrl", value = "栏目列表页跳转地址")
    private String configColumnRowTargetUrl;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;
    @ApiModelProperty(name = "configColumnSet", value = "个人自定义的隐藏状态,1:显示,0:隐藏")
    private String configColumnSet = "0";
    @ApiModelProperty(name = "configColumnName", value = "个人自定义的栏目名称,为空则未设置")
    private String configColumnSetName;
    @ApiModelProperty(name = "configColumnComment", value = "评论开关")
    private String configColumnComment;
    @ApiModelProperty(name = "configColumnDispatch", value = "转发开关")
    private String configColumnDispatch;
    @ApiModelProperty(name = "configColumnLike", value = "点赞开关")
    private String configColumnLike;
    @ApiModelProperty(name = "configColumnCollect", value = "收藏开关")
    private String configColumnCollect;

    public String getConfigColumnComment() {
        return configColumnComment == null ? "" : configColumnComment;
    }

    public void setConfigColumnComment(String configColumnComment) {
        this.configColumnComment = configColumnComment;
    }

    public String getConfigColumnDispatch() {
        return configColumnDispatch == null ? "" : configColumnDispatch;
    }

    public void setConfigColumnDispatch(String configColumnDispatch) {
        this.configColumnDispatch = configColumnDispatch;
    }

    public String getConfigColumnLike() {
        return configColumnLike == null ? "" : configColumnLike;
    }

    public void setConfigColumnLike(String configColumnLike) {
        this.configColumnLike = configColumnLike;
    }

    public String getConfigColumnCollect() {
        return configColumnCollect == null ? "" : configColumnCollect;
    }

    public void setConfigColumnCollect(String configColumnCollect) {
        this.configColumnCollect = configColumnCollect;
    }

    public String getConfigColumnSetName() {
        return configColumnSetName == null ? "" : configColumnSetName;
    }

    public void setConfigColumnSetName(String configColumnSetName) {
        this.configColumnSetName = configColumnSetName;
    }

    public String getConfigColumnSet() {
        return configColumnSet == null ? "" : configColumnSet;
    }

    public void setConfigColumnSet(String configColumnSet) {
        this.configColumnSet = configColumnSet;
    }

    public String getConfigTableMode() {
        return configTableMode == null ? "" : configTableMode;
    }

    public void setConfigTableMode(String configTableMode) {
        this.configTableMode = configTableMode;
    }

    public String getConfigColumnGroupName() {
        return configColumnGroupName == null ? "" : configColumnGroupName;
    }

    public void setConfigColumnGroupName(String configColumnGroupName) {
        this.configColumnGroupName = configColumnGroupName;
    }

    public String getConfigColumnId() {
        return configColumnId == null ? "" : configColumnId.trim();
    }

    public void setConfigColumnId(String configColumnId) {
        this.configColumnId = configColumnId;
    }

    public String getConfigColumnGroupId() {
        return configColumnGroupId == null ? "" : configColumnGroupId.trim();
    }

    public void setConfigColumnGroupId(String configColumnGroupId) {
        this.configColumnGroupId = configColumnGroupId;
    }

    public String getConfigColumnCode() {
        return configColumnCode == null ? "" : configColumnCode.trim();
    }

    public void setConfigColumnCode(String configColumnCode) {
        this.configColumnCode = configColumnCode;
    }

    public String getConfigColumnName() {
        return configColumnName == null ? "" : configColumnName.trim();
    }

    public void setConfigColumnName(String configColumnName) {
        this.configColumnName = configColumnName;
    }

    public String getConfigColumnSubName() {
        return configColumnSubName == null ? "" : configColumnSubName.trim();
    }

    public void setConfigColumnSubName(String configColumnSubName) {
        this.configColumnSubName = configColumnSubName;
    }

    public String getConfigColumnTargetMode() {
        return configColumnTargetMode == null ? "" : configColumnTargetMode.trim();
    }

    public void setConfigColumnTargetMode(String configColumnTargetMode) {
        this.configColumnTargetMode = configColumnTargetMode;
    }

    public String getConfigColumnTargetUrl() {
        return configColumnTargetUrl == null ? "" : configColumnTargetUrl.trim();
    }

    public void setConfigColumnTargetUrl(String configColumnTargetUrl) {
        this.configColumnTargetUrl = configColumnTargetUrl;
    }

    public String getConfigTableId() {
        return configTableId == null ? "" : configTableId.trim();
    }

    public void setConfigTableId(String configTableId) {
        this.configTableId = configTableId;
    }

    public String getConfigColumnStatus() {
        return configColumnStatus == null ? "" : configColumnStatus.trim();
    }

    public void setConfigColumnStatus(String configColumnStatus) {
        this.configColumnStatus = configColumnStatus;
    }

    public Double getConfigColumnOrder() {
        return configColumnOrder == null ? 0D : configColumnOrder;
    }

    public void setConfigColumnOrder(Double configColumnOrder) {
        this.configColumnOrder = configColumnOrder;
    }

    public String getConfigColumnDefault() {
        return configColumnDefault == null ? "" : configColumnDefault.trim();
    }

    public void setConfigColumnDefault(String configColumnDefault) {
        this.configColumnDefault = configColumnDefault;
    }

    public String getConfigColumnType() {
        return configColumnType == null ? "" : configColumnType.trim();
    }

    public void setConfigColumnType(String configColumnType) {
        this.configColumnType = configColumnType;
    }

    public String getConfigColumnPhoto() {
        return configColumnPhoto == null ? "" : configColumnPhoto.trim();
    }

    public void setConfigColumnPhoto(String configColumnPhoto) {
        this.configColumnPhoto = configColumnPhoto;
    }

    public String getConfigColumnRemark() {
        return configColumnRemark == null ? "" : configColumnRemark.trim();
    }

    public void setConfigColumnRemark(String configColumnRemark) {
        this.configColumnRemark = configColumnRemark;
    }

    public Integer getConfigColumnMaxCount() {
        return configColumnMaxCount == null ? 0 : configColumnMaxCount;
    }

    public void setConfigColumnMaxCount(Integer configColumnMaxCount) {
        this.configColumnMaxCount = configColumnMaxCount;
    }

    public Integer getConfigColumnRowCount() {
        return configColumnRowCount == null ? 0 : configColumnRowCount;
    }

    public void setConfigColumnRowCount(Integer configColumnRowCount) {
        this.configColumnRowCount = configColumnRowCount;
    }

    public String getConfigColumnRowTargetMode() {
        return configColumnRowTargetMode == null ? "" : configColumnRowTargetMode.trim();
    }

    public void setConfigColumnRowTargetMode(String configColumnRowTargetMode) {
        this.configColumnRowTargetMode = configColumnRowTargetMode;
    }

    public String getConfigColumnRowTargetUrl() {
        return configColumnRowTargetUrl == null ? "" : configColumnRowTargetUrl.trim();
    }

    public void setConfigColumnRowTargetUrl(String configColumnRowTargetUrl) {
        this.configColumnRowTargetUrl = configColumnRowTargetUrl;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
